Sync openchange 1:2.0-2 (universe) from Debian unstable (main)

Bug #1252142 reported by Jackson Doak on 2013-11-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openchange (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync openchange 1:2.0-2 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * debian/libmapipp-dev.install, debian/libmapipp0.install:
    - Disabled since they currently doesn't build with Saucy's boost
      and have no rdepends
Everything builds fine in trusty. The other change (b-dep versioning), is irrelevant in trusty.

Changelog entries since current trusty version 1:1.0-4ubuntu2:

openchange (1:2.0-2) unstable; urgency=low

  * Add 02_sort_mapistore_namedprops: Make sure
    mapistore_namedprops.ldif contents are consistent across runs, to
    prevent issues with multi-arch. Closes: #727008

 -- Jelmer Vernooij <email address hidden> Tue, 22 Oct 2013 08:55:51 -0500

openchange (1:2.0-1) unstable; urgency=low

  [ Jeroen Dekkers ]
  * New upstream release.

  [ Jelmer Vernooij ]
  * Depend on samba-dev rather than deprecated samba4-dev.
  * Drop 01_symlinks, 02_mapiproxy_dl, 03_no_popt and 04_ndr_noalign; applied
    upstream.
  * Add 01_detection_boost to work around boost detection issues with boost >=
    1.50.
  * Update for restructured Samba package: depend just on samba-dev
    rather than handful of -dev packages.
  * Bump standards version to 3.9.4 (no changes).
  * Fix Vcs-Browser URL for git.

  [ Dmitrijs Ledkovs ]
  * Drop BOOST_LIBS_SUFFIX=-mt configure variable. Closes: #710081

 -- Jelmer Vernooij <email address hidden> Sat, 13 Apr 2013 20:21:40 +0200

Daniel Holbach (dholbach) wrote :

This bug was fixed in the package openchange - 1:2.0-2
Sponsored for Jackson Doak (noskcaj)

---------------
openchange (1:2.0-2) unstable; urgency=low

  * Add 02_sort_mapistore_namedprops: Make sure
    mapistore_namedprops.ldif contents are consistent across runs, to
    prevent issues with multi-arch. Closes: #727008

 -- Jelmer Vernooij <email address hidden> Tue, 22 Oct 2013 08:55:51 -0500

openchange (1:2.0-1) unstable; urgency=low

  [ Jeroen Dekkers ]
  * New upstream release.

  [ Jelmer Vernooij ]
  * Depend on samba-dev rather than deprecated samba4-dev.
  * Drop 01_symlinks, 02_mapiproxy_dl, 03_no_popt and 04_ndr_noalign; applied
    upstream.
  * Add 01_detection_boost to work around boost detection issues with boost >=
    1.50.
  * Update for restructured Samba package: depend just on samba-dev
    rather than handful of -dev packages.
  * Bump standards version to 3.9.4 (no changes).
  * Fix Vcs-Browser URL for git.

  [ Dmitrijs Ledkovs ]
  * Drop BOOST_LIBS_SUFFIX=-mt configure variable. Closes: #710081

 -- Jelmer Vernooij <email address hidden> Sat, 13 Apr 2013 20:21:40 +0200

Changed in openchange (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers